******************************************************************************************************************************
******************************************************************************************************************************
* 	scoring algorithm for the KIDSCREEN-27 self report version with 1 Missing						*
******************************************************************************************************************************
******************************************************************************************************************************

*	copyright and intelectual property: The European KIDSCREEN group				*

******************************************************************************************************************************
* 	1) uses transformed KIDSCREEN item-scores (transformed e.g. by a priori application of the 	*
* 	syntax "transform_KIDSCREEN-27_rawdata.SPS")						*
* 	2) based on the RASCH-Person-Parameter Estimates 						*
* 	3) T-values were computed wich refer to the entire KIDSCREEN survey (excluded were Ireland,	*
* 	cases older than 18, younger than 8, > 25% missings in KIDSCREEN items, with one 		*
* 	missing in the particular scale)									*
* 	4) for the entire European sample the mean of the T-values is 50, the standard deviation is 10	*
******************************************************************************************************************************





RECODE
  KY27PHY1
  (5=3)  (1 thru 2=1)  (3 thru 4=2)  (ELSE=Copy)  INTO  KY27PHYc .
VARIABLE LABELS KY27PHYc 'gh_y01 coll 1 + 2 & 3 + 4 & 5'.
EXECUTE .
MISSING VALUES KY27PHYc (0 +  6 thru 99999) .
EXECUTE .


IF (MISSING(KY27PHYc)) KC27ph_R = KY27PHY2 + KY27PHY3 + KY27PHY4 + KY27PHY5 .
EXECUTE .

DO IF (MISSING(KY27PHYc)) .
RECODE KC27ph_R  
(	4	=	-3.986	)	
(	5	=	-2.752	)	
(	6	=	-2.145	)	
(	7	=	-1.722	)	
(	8	=	-1.377	)	
(	9	=	-1.07	)	
(	10	=	-0.778	)	
(	11	=	-0.487	)	
(	12	=	-0.187	)	
(	13	=	0.128	)	
(	14	=	0.463	)	
(	15	=	0.824	)	
(	16	=	1.221	)	
(	17	=	1.671	)	
(	18	=	2.21	)	
(	19	=	2.926	)	
(	20	=	4.232	)	.
END IF .
EXECUTE .

IF (MISSING(KY27PHY2)) KC27ph_R = KY27PHYc + KY27PHY3 + KY27PHY4 + KY27PHY5 .
EXECUTE .

DO IF (MISSING(KY27PHY2)) .
RECODE KC27ph_R  
(	4	=	-4.128	)	
(	5	=	-2.794	)	
(	6	=	-2.081	)	
(	7	=	-1.581	)	
(	8	=	-1.178	)	
(	9	=	-0.815	)	
(	10	=	-0.46	)	
(	11	=	-0.096	)	
(	12	=	0.289	)	
(	13	=	0.703	)	
(	14	=	1.157	)	
(	15	=	1.671	)	
(	16	=	2.281	)	
(	17	=	3.068	)	
(	18	=	4.426	)	.
END IF .
EXECUTE .

IF (MISSING(KY27PHY3)) KC27ph_R = KY27PHYc + KY27PHY2 + KY27PHY4 + KY27PHY5 .
EXECUTE .

DO IF (MISSING(KY27PHY3)) .
RECODE KC27ph_R  
(	4	=	-4.195	)	
(	5	=	-2.916	)	
(	6	=	-2.254	)	
(	7	=	-1.783	)	
(	8	=	-1.396	)	
(	9	=	-1.044	)	
(	10	=	-0.694	)	
(	11	=	-0.319	)	
(	12	=	0.101	)	
(	13	=	0.575	)	
(	14	=	1.102	)	
(	15	=	1.681	)	
(	16	=	2.331	)	
(	17	=	3.128	)	
(	18	=	4.478	)	.
END IF .
EXECUTE .

IF (MISSING(KY27PHY4)) KC27ph_R = KY27PHYc + KY27PHY2 + KY27PHY3 + KY27PHY5 .
EXECUTE .

DO IF (MISSING(KY27PHY4)) .
RECODE KC27ph_R  
(	4	=	-4.209	)	
(	5	=	-2.919	)	
(	6	=	-2.23	)	
(	7	=	-1.72	)	
(	8	=	-1.286	)	
(	9	=	-0.884	)	
(	10	=	-0.491	)	
(	11	=	-0.094	)	
(	12	=	0.318	)	
(	13	=	0.756	)	
(	14	=	1.235	)	
(	15	=	1.77	)	
(	16	=	2.387	)	
(	17	=	3.162	)	
(	18	=	4.5	)	.
END IF .
EXECUTE .

IF (MISSING(KY27PHY5)) KC27ph_R = KY27PHYc + KY27PHY2 + KY27PHY3 + KY27PHY4 .
EXECUTE .

DO IF (MISSING(KY27PHY5)) .
RECODE KC27ph_R  
(	4	=	-3.779	)	
(	5	=	-2.564	)	
(	6	=	-1.967	)	
(	7	=	-1.54	)	
(	8	=	-1.182	)	
(	9	=	-0.849	)	
(	10	=	-0.518	)	
(	11	=	-0.171	)	
(	12	=	0.2	)	
(	13	=	0.604	)	
(	14	=	1.047	)	
(	15	=	1.545	)	
(	16	=	2.134	)	
(	17	=	2.903	)	
(	18	=	4.261	)	.
END IF .
EXECUTE .



COUNT
  PHYmiss = KY27PHYc KY27PHY2 KY27PHY3 KY27PHY4 KY27PHY5  (MISSING)  .
EXECUTE .
RECODE
  PHYmiss  (0=0)  (1=1)  (2 thru Highest=SYSMIS)  .
EXECUTE .

IF (PHYmiss=1) KC27ph_T = (((KC27ph_R  - 1.2203)  / 1.45408) * 10 + 50) .
EXECUTE .


SORT CASES BY PHYmiss .
SPLIT FILE
  LAYERED BY PHYmiss .
FREQUENCIES
  VARIABLES=KC27ph_R KC27ph_T
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN MEDIAN MODE SKEWNESS SESKEW KURTOSIS SEKURT
  /BARCHART  FREQ
  /ORDER=  ANALYSIS .






IF (MISSING(KY27PWB1)) KC27pw_R = KY27PWB2 + KY27PWB3 + KY27PWB4 + KY27PWB5 + KY27PWB6 + KY27PWB7 .
EXECUTE .

DO IF (MISSING(KY27PWB1)) .
RECODE KC27pw_R  
(	6	=	-4.399	)	
(	7	=	-3.201	)	
(	8	=	-2.597	)	
(	9	=	-2.171	)	
(	10	=	-1.835	)	
(	11	=	-1.552	)	
(	12	=	-1.303	)	
(	13	=	-1.079	)	
(	14	=	-0.871	)	
(	15	=	-0.675	)	
(	16	=	-0.486	)	
(	17	=	-0.3	)	
(	18	=	-0.114	)	
(	19	=	0.075	)	
(	20	=	0.271	)	
(	21	=	0.478	)	
(	22	=	0.7	)	
(	23	=	0.943	)	
(	24	=	1.214	)	
(	25	=	1.521	)	
(	26	=	1.876	)	
(	27	=	2.295	)	
(	28	=	2.808	)	
(	29	=	3.499	)	
(	30	=	4.774	)	.
END IF .
EXECUTE .


IF (MISSING(KY27PWB2)) KC27pw_R = KY27PWB1 + KY27PWB3 + KY27PWB4 + KY27PWB5 + KY27PWB6 + KY27PWB7 .
EXECUTE .

DO IF (MISSING(KY27PWB2)) .
RECODE KC27pw_R  
(	6	=	-4.154	)	
(	7	=	-2.99	)	
(	8	=	-2.418	)	
(	9	=	-2.024	)	
(	10	=	-1.715	)	
(	11	=	-1.457	)	
(	12	=	-1.23	)	
(	13	=	-1.024	)	
(	14	=	-0.832	)	
(	15	=	-0.649	)	
(	16	=	-0.472	)	
(	17	=	-0.296	)	
(	18	=	-0.119	)	
(	19	=	0.061	)	
(	20	=	0.249	)	
(	21	=	0.447	)	
(	22	=	0.659	)	
(	23	=	0.891	)	
(	24	=	1.147	)	
(	25	=	1.435	)	
(	26	=	1.766	)	
(	27	=	2.156	)	
(	28	=	2.635	)	
(	29	=	3.291	)	
(	30	=	4.532	)	.
END IF .
EXECUTE .


IF (MISSING(KY27PWB3)) KC27pw_R = KY27PWB1 + KY27PWB2 + KY27PWB4 + KY27PWB5 + KY27PWB6 + KY27PWB7 .
EXECUTE .

DO IF (MISSING(KY27PWB3)) .
RECODE KC27pw_R  
(	6	=	-4.272	)	
(	7	=	-3.08	)	
(	8	=	-2.489	)	
(	9	=	-2.08	)	
(	10	=	-1.76	)	
(	11	=	-1.494	)	
(	12	=	-1.261	)	
(	13	=	-1.049	)	
(	14	=	-0.853	)	
(	15	=	-0.666	)	
(	16	=	-0.484	)	
(	17	=	-0.304	)	
(	18	=	-0.123	)	
(	19	=	0.063	)	
(	20	=	0.256	)	
(	21	=	0.461	)	
(	22	=	0.681	)	
(	23	=	0.922	)	
(	24	=	1.19	)	
(	25	=	1.494	)	
(	26	=	1.844	)	
(	27	=	2.259	)	
(	28	=	2.769	)	
(	29	=	3.46	)	
(	30	=	4.739	)	.
END IF .
EXECUTE .


IF (MISSING(KY27PWB4)) KC27pw_R = KY27PWB1 + KY27PWB2 + KY27PWB3 + KY27PWB5 + KY27PWB6 + KY27PWB7 .
EXECUTE .

DO IF (MISSING(KY27PWB4)) .
RECODE KC27pw_R  
(	6	=	-4.293	)	
(	7	=	-3.092	)	
(	8	=	-2.492	)	
(	9	=	-2.075	)	
(	10	=	-1.751	)	
(	11	=	-1.48	)	
(	12	=	-1.244	)	
(	13	=	-1.031	)	
(	14	=	-0.833	)	
(	15	=	-0.645	)	
(	16	=	-0.463	)	
(	17	=	-0.283	)	
(	18	=	-0.102	)	
(	19	=	0.082	)	
(	20	=	0.274	)	
(	21	=	0.476	)	
(	22	=	0.692	)	
(	23	=	0.927	)	
(	24	=	1.188	)	
(	25	=	1.483	)	
(	26	=	1.821	)	
(	27	=	2.221	)	
(	28	=	2.717	)	
(	29	=	3.396	)	
(	30	=	4.67	)	.
END IF .
EXECUTE .


IF (MISSING(KY27PWB5)) KC27pw_R = KY27PWB1 + KY27PWB2 + KY27PWB3 + KY27PWB4 + KY27PWB6 + KY27PWB7 .
EXECUTE .

DO IF (MISSING(KY27PWB5)) .
RECODE KC27pw_R  
(	6	=	-4.346	)	
(	7	=	-3.143	)	
(	8	=	-2.536	)	
(	9	=	-2.111	)	
(	10	=	-1.777	)	
(	11	=	-1.498	)	
(	12	=	-1.253	)	
(	13	=	-1.031	)	
(	14	=	-0.826	)	
(	15	=	-0.63	)	
(	16	=	-0.44	)	
(	17	=	-0.252	)	
(	18	=	-0.063	)	
(	19	=	0.13	)	
(	20	=	0.332	)	
(	21	=	0.547	)	
(	22	=	0.777	)	
(	23	=	1.03	)	
(	24	=	1.311	)	
(	25	=	1.626	)	
(	26	=	1.984	)	
(	27	=	2.4	)	
(	28	=	2.903	)	
(	29	=	3.579	)	
(	30	=	4.838	)	.
END IF .
EXECUTE .


IF (MISSING(KY27PWB6)) KC27pw_R = KY27PWB1 + KY27PWB2 + KY27PWB3 + KY27PWB4 + KY27PWB5 + KY27PWB7 .
EXECUTE .

DO IF (MISSING(KY27PWB6)) .
RECODE KC27pw_R  
(	6	=	-4.4	)	
(	7	=	-3.206	)	
(	8	=	-2.606	)	
(	9	=	-2.187	)	
(	10	=	-1.856	)	
(	11	=	-1.577	)	
(	12	=	-1.332	)	
(	13	=	-1.109	)	
(	14	=	-0.899	)	
(	15	=	-0.699	)	
(	16	=	-0.503	)	
(	17	=	-0.307	)	
(	18	=	-0.11	)	
(	19	=	0.094	)	
(	20	=	0.306	)	
(	21	=	0.529	)	
(	22	=	0.769	)	
(	23	=	1.03	)	
(	24	=	1.316	)	
(	25	=	1.635	)	
(	26	=	1.995	)	
(	27	=	2.41	)	
(	28	=	2.912	)	
(	29	=	3.586	)	
(	30	=	4.844	)	.
END IF .
EXECUTE .


IF (MISSING(KY27PWB7)) KC27pw_R = KY27PWB1 + KY27PWB2 + KY27PWB3 + KY27PWB4 + KY27PWB5 + KY27PWB6 .
EXECUTE .

DO IF (MISSING(KY27PWB7)) .
RECODE KC27pw_R  
(	6	=	-4.367	)	
(	7	=	-3.172	)	
(	8	=	-2.573	)	
(	9	=	-2.157	)	
(	10	=	-1.831	)	
(	11	=	-1.559	)	
(	12	=	-1.321	)	
(	13	=	-1.107	)	
(	14	=	-0.907	)	
(	15	=	-0.718	)	
(	16	=	-0.535	)	
(	17	=	-0.354	)	
(	18	=	-0.173	)	
(	19	=	0.013	)	
(	20	=	0.206	)	
(	21	=	0.411	)	
(	22	=	0.633	)	
(	23	=	0.876	)	
(	24	=	1.149	)	
(	25	=	1.459	)	
(	26	=	1.818	)	
(	27	=	2.243	)	
(	28	=	2.763	)	
(	29	=	3.462	)	
(	30	=	4.745	)	.
END IF .
EXECUTE .


COUNT
  PWmiss = KY27PWB1 KY27PWB2 KY27PWB3 KY27PWB4 KY27PWB5 KY27PWB6 KY27PWB7 (MISSING)  .
EXECUTE .
RECODE
  PWmiss  (0=0)  (1=1)  (2 thru Highest=SYSMIS)  .
EXECUTE .

IF (PWmiss=1) KC27pw_T = (((KC27pw_R - 1.6950)  / 1.35642) * 10 + 50) .
EXECUTE .


SORT CASES BY PWmiss .
SPLIT FILE
  LAYERED BY PWmiss .
FREQUENCIES
  VARIABLES=KC27pw_R KC27pw_T
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN MEDIAN MODE SKEWNESS SESKEW KURTOSIS SEKURT
  /BARCHART  FREQ
  /ORDER=  ANALYSIS .




IF (MISSING(KY27PAR1)) KC27pa_R = KY27PAR2 + KY27PAR3 + KY27PAR4 + KY27PAR5 + KY27PAR6 + KY27PAR7 .
EXECUTE .


DO IF (MISSING(KY27PAR1)) .
RECODE KC27pa_R  
(	6	=	-3.852	)	
(	7	=	-2.677	)	
(	8	=	-2.097	)	
(	9	=	-1.697	)	
(	10	=	-1.387	)	
(	11	=	-1.131	)	
(	12	=	-0.911	)	
(	13	=	-0.717	)	
(	14	=	-0.542	)	
(	15	=	-0.38	)	
(	16	=	-0.228	)	
(	17	=	-0.083	)	
(	18	=	0.058	)	
(	19	=	0.197	)	
(	20	=	0.336	)	
(	21	=	0.478	)	
(	22	=	0.625	)	
(	23	=	0.781	)	
(	24	=	0.951	)	
(	25	=	1.141	)	
(	26	=	1.362	)	
(	27	=	1.632	)	
(	28	=	1.987	)	
(	29	=	2.521	)	
(	30	=	3.651	)	.
END IF .
EXECUTE .


IF (MISSING(KY27PAR2)) KC27pa_R = KY27PAR1 + KY27PAR3 + KY27PAR4 + KY27PAR5 + KY27PAR6 + KY27PAR7 .
EXECUTE .

DO IF (MISSING(KY27PAR2)) .
RECODE KC27pa_R  
(	6	=	-3.89	)	
(	7	=	-2.697	)	
(	8	=	-2.099	)	
(	9	=	-1.683	)	
(	10	=	-1.361	)	
(	11	=	-1.096	)	
(	12	=	-0.871	)	
(	13	=	-0.673	)	
(	14	=	-0.496	)	
(	15	=	-0.332	)	
(	16	=	-0.18	)	
(	17	=	-0.034	)	
(	18	=	0.107	)	
(	19	=	0.247	)	
(	20	=	0.387	)	
(	21	=	0.53	)	
(	22	=	0.679	)	
(	23	=	0.837	)	
(	24	=	1.01	)	
(	25	=	1.204	)	
(	26	=	1.429	)	
(	27	=	1.706	)	
(	28	=	2.069	)	
(	29	=	2.611	)	
(	30	=	3.75	)	.
END IF .
EXECUTE .


IF (MISSING(KY27PAR3)) KC27pa_R = KY27PAR1 + KY27PAR2 + KY27PAR4 + KY27PAR5 + KY27PAR6 + KY27PAR7 .
EXECUTE .

DO IF (MISSING(KY27PAR3)) .
RECODE KC27pa_R  
(	6	=	-3.907	)	
(	7	=	-2.724	)	
(	8	=	-2.134	)	
(	9	=	-1.724	)	
(	10	=	-1.404	)	
(	11	=	-1.14	)	
(	12	=	-0.913	)	
(	13	=	-0.712	)	
(	14	=	-0.53	)	
(	15	=	-0.362	)	
(	16	=	-0.204	)	
(	17	=	-0.054	)	
(	18	=	0.091	)	
(	19	=	0.235	)	
(	20	=	0.379	)	
(	21	=	0.525	)	
(	22	=	0.677	)	
(	23	=	0.839	)	
(	24	=	1.015	)	
(	25	=	1.212	)	
(	26	=	1.441	)	
(	27	=	1.72	)	
(	28	=	2.086	)	
(	29	=	2.63	)	
(	30	=	3.77	)	.
END IF .
EXECUTE .


IF (MISSING(KY27PAR4)) KC27pa_R = KY27PAR1 + KY27PAR2 + KY27PAR3 + KY27PAR5 + KY27PAR6 + KY27PAR7 .
EXECUTE .

DO IF (MISSING(KY27PAR4)) .
RECODE KC27pa_R  
(	6	=	-3.831	)	
(	7	=	-2.665	)	
(	8	=	-2.091	)	
(	9	=	-1.696	)	
(	10	=	-1.39	)	
(	11	=	-1.137	)	
(	12	=	-0.92	)	
(	13	=	-0.727	)	
(	14	=	-0.553	)	
(	15	=	-0.392	)	
(	16	=	-0.241	)	
(	17	=	-0.096	)	
(	18	=	0.045	)	
(	19	=	0.183	)	
(	20	=	0.322	)	
(	21	=	0.463	)	
(	22	=	0.61	)	
(	23	=	0.766	)	
(	24	=	0.935	)	
(	25	=	1.124	)	
(	26	=	1.344	)	
(	27	=	1.613	)	
(	28	=	1.966	)	
(	29	=	2.496	)	
(	30	=	3.621	)	.
END IF .
EXECUTE .


IF (MISSING(KY27PAR5)) KC27pa_R = KY27PAR1 + KY27PAR2 + KY27PAR3 + KY27PAR4 + KY27PAR6 + KY27PAR7 .
EXECUTE .

DO IF (MISSING(KY27PAR5)) .
RECODE KC27pa_R  
(	6	=	-3.865	)	
(	7	=	-2.692	)	
(	8	=	-2.113	)	
(	9	=	-1.713	)	
(	10	=	-1.403	)	
(	11	=	-1.147	)	
(	12	=	-0.928	)	
(	13	=	-0.733	)	
(	14	=	-0.557	)	
(	15	=	-0.395	)	
(	16	=	-0.242	)	
(	17	=	-0.096	)	
(	18	=	0.045	)	
(	19	=	0.184	)	
(	20	=	0.324	)	
(	21	=	0.466	)	
(	22	=	0.613	)	
(	23	=	0.769	)	
(	24	=	0.939	)	
(	25	=	1.128	)	
(	26	=	1.348	)	
(	27	=	1.615	)	
(	28	=	1.967	)	
(	29	=	2.495	)	
(	30	=	3.616	)	.
END IF .
EXECUTE .


IF (MISSING(KY27PAR6)) KC27pa_R = KY27PAR1 + KY27PAR2 + KY27PAR3 + KY27PAR4 + KY27PAR5 + KY27PAR7 .
EXECUTE .

DO IF (MISSING(KY27PAR6)) .
RECODE KC27pa_R  
(	6	=	-3.984	)	
(	7	=	-2.807	)	
(	8	=	-2.221	)	
(	9	=	-1.815	)	
(	10	=	-1.497	)	
(	11	=	-1.233	)	
(	12	=	-1.006	)	
(	13	=	-0.805	)	
(	14	=	-0.622	)	
(	15	=	-0.454	)	
(	16	=	-0.295	)	
(	17	=	-0.144	)	
(	18	=	0.003	)	
(	19	=	0.148	)	
(	20	=	0.293	)	
(	21	=	0.442	)	
(	22	=	0.596	)	
(	23	=	0.76	)	
(	24	=	0.938	)	
(	25	=	1.138	)	
(	26	=	1.371	)	
(	27	=	1.654	)	
(	28	=	2.025	)	
(	29	=	2.576	)	
(	30	=	3.722	)	.
END IF .
EXECUTE .


IF (MISSING(KY27PAR7)) KC27pa_R = KY27PAR1 + KY27PAR2 + KY27PAR3 + KY27PAR4 + KY27PAR5 + KY27PAR6 .
EXECUTE .

DO IF (MISSING(KY27PAR7)) .
RECODE KC27pa_R  
(	6	=	-3.983	)	
(	7	=	-2.805	)	
(	8	=	-2.219	)	
(	9	=	-1.812	)	
(	10	=	-1.493	)	
(	11	=	-1.229	)	
(	12	=	-1	)	
(	13	=	-0.798	)	
(	14	=	-0.614	)	
(	15	=	-0.444	)	
(	16	=	-0.284	)	
(	17	=	-0.13	)	
(	18	=	0.019	)	
(	19	=	0.166	)	
(	20	=	0.314	)	
(	21	=	0.465	)	
(	22	=	0.621	)	
(	23	=	0.788	)	
(	24	=	0.969	)	
(	25	=	1.17	)	
(	26	=	1.404	)	
(	27	=	1.689	)	
(	28	=	2.06	)	
(	29	=	2.609	)	
(	30	=	3.754	)	.
END IF .
EXECUTE .


COUNT
  PARmiss = KY27PAR1 KY27PAR2 KY27PAR3 KY27PAR4 KY27PAR5 KY27PAR6 KY27PAR7 (MISSING)  .
EXECUTE .
RECODE
  PARmiss (0=0)  (1=1)  (2 thru Highest=SYSMIS)  .
EXECUTE .

IF (PARmiss=1) KC27pa_T  = (((KC27pa_R  - 1.1982)  / 1.08822) * 10 + 50) .
EXECUTE .

SORT CASES BY PARmiss .
SPLIT FILE
  LAYERED BY PARmiss .
FREQUENCIES
  VARIABLES=KC27pa_R KC27pa_T
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN MEDIAN MODE SKEWNESS SESKEW KURTOSIS SEKURT
  /BARCHART  FREQ
  /ORDER=  ANALYSIS .







IF (MISSING(KY27SOC1)) KC27pe_R = KY27SOC2 + KY27SOC3 + KY27SOC4  .
EXECUTE .

DO IF (MISSING(KY27SOC1)) .
RECODE KC27pe_R  
(	3	=	-3.711	)	
(	4	=	-2.474	)	
(	5	=	-1.813	)	
(	6	=	-1.312	)	
(	7	=	-0.88	)	
(	8	=	-0.476	)	
(	9	=	-0.079	)	
(	10	=	0.327	)	
(	11	=	0.757	)	
(	12	=	1.227	)	
(	13	=	1.77	)	
(	14	=	2.475	)	
(	15	=	3.754	)	.
END IF .
EXECUTE .


IF (MISSING(KY27SOC2)) KC27pe_R = KY27SOC1 + KY27SOC3 + KY27SOC4  .
EXECUTE .

DO IF (MISSING(KY27SOC2)) .
RECODE KC27pe_R  
(	3	=	-3.756	)	
(	4	=	-2.473	)	
(	5	=	-1.77	)	
(	6	=	-1.231	)	
(	7	=	-0.767	)	
(	8	=	-0.339	)	
(	9	=	0.075	)	
(	10	=	0.494	)	
(	11	=	0.938	)	
(	12	=	1.43	)	
(	13	=	2.008	)	
(	14	=	2.758	)	
(	15	=	4.09	)	.
END IF .
EXECUTE .


IF (MISSING(KY27SOC3)) KC27pe_R = KY27SOC1 + KY27SOC2 + KY27SOC4  .
EXECUTE .

DO IF (MISSING(KY27SOC3)) .
RECODE KC27pe_R  
(	3	=	-3.826	)	
(	4	=	-2.557	)	
(	5	=	-1.869	)	
(	6	=	-1.348	)	
(	7	=	-0.904	)	
(	8	=	-0.496	)	
(	9	=	-0.1	)	
(	10	=	0.303	)	
(	11	=	0.736	)	
(	12	=	1.222	)	
(	13	=	1.804	)	
(	14	=	2.574	)	
(	15	=	3.941	)	.
END IF .
EXECUTE .


IF (MISSING(KY27SOC4)) KC27pe_R = KY27SOC1 + KY27SOC2 + KY27SOC3  .
EXECUTE .

DO IF (MISSING(KY27SOC4)) .
RECODE KC27pe_R  
(	3	=	-3.827	)	
(	4	=	-2.564	)	
(	5	=	-1.881	)	
(	6	=	-1.364	)	
(	7	=	-0.92	)	
(	8	=	-0.509	)	
(	9	=	-0.104	)	
(	10	=	0.314	)	
(	11	=	0.768	)	
(	12	=	1.283	)	
(	13	=	1.892	)	
(	14	=	2.675	)	
(	15	=	4.035	)	.
END IF .
EXECUTE .



COUNT
  PERmiss = KY27SOC1 KY27SOC2 KY27SOC3 KY27SOC4  (MISSING)  .
EXECUTE .
RECODE
  PERmiss (0=0)  (1=1)  (2 thru Highest=SYSMIS)  .
EXECUTE .

IF (PERmiss=1) KC27pe_T  = (((KC27pe_R  - 1.7749)  / 1.50386) * 10 + 50) .
EXECUTE .

SORT CASES BY PERmiss .
SPLIT FILE
  LAYERED BY PERmiss .
FREQUENCIES
  VARIABLES=KC27pe_R KC27pe_T
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN MEDIAN MODE SKEWNESS SESKEW KURTOSIS SEKURT
  /BARCHART  FREQ
  /ORDER=  ANALYSIS .








IF (MISSING(KY27SCH1)) KC27sc_R = KY27SCH2 + KY27SCH3 + KY27SCH4 .
EXECUTE .

DO IF (MISSING(KY27SCH1)) .
RECODE KC27sc_R  
(	3	=	-4.046	)	
(	4	=	-2.779	)	
(	5	=	-2.118	)	
(	6	=	-1.626	)	
(	7	=	-1.193	)	
(	8	=	-0.768	)	
(	9	=	-0.317	)	
(	10	=	0.18	)	
(	11	=	0.731	)	
(	12	=	1.351	)	
(	13	=	2.059	)	
(	14	=	2.911	)	
(	15	=	4.301	)	.
END IF .
EXECUTE .


IF (MISSING(KY27SCH2)) KC27sc_R = KY27SCH1 + KY27SCH3 + KY27SCH4 .
EXECUTE .

DO IF (MISSING(KY27SCH2)) .
RECODE KC27sc_R  
(	3	=	-3.978	)	
(	4	=	-2.664	)	
(	5	=	-1.965	)	
(	6	=	-1.452	)	
(	7	=	-1.018	)	
(	8	=	-0.607	)	
(	9	=	-0.182	)	
(	10	=	0.287	)	
(	11	=	0.82	)	
(	12	=	1.429	)	
(	13	=	2.131	)	
(	14	=	2.982	)	
(	15	=	4.373	)	.
END IF .
EXECUTE .


IF (MISSING(KY27SCH3)) KC27sc_R = KY27SCH1 + KY27SCH2 + KY27SCH4 .
EXECUTE .

DO IF (MISSING(KY27SCH3)) .
RECODE KC27sc_R  
(	3	=	-3.496	)	
(	4	=	-2.379	)	
(	5	=	-1.807	)	
(	6	=	-1.375	)	
(	7	=	-0.99	)	
(	8	=	-0.61	)	
(	9	=	-0.204	)	
(	10	=	0.257	)	
(	11	=	0.79	)	
(	12	=	1.4	)	
(	13	=	2.098	)	
(	14	=	2.942	)	
(	15	=	4.329	)	.
END IF .
EXECUTE .


IF (MISSING(KY27SCH4)) KC27sc_R = KY27SCH1 + KY27SCH2 + KY27SCH3 .
EXECUTE .

DO IF (MISSING(KY27SCH4)) .
RECODE KC27sc_R  
(	3	=	-3.84	)	
(	4	=	-2.547	)	
(	5	=	-1.898	)	
(	6	=	-1.426	)	
(	7	=	-1.017	)	
(	8	=	-0.618	)	
(	9	=	-0.192	)	
(	10	=	0.297	)	
(	11	=	0.876	)	
(	12	=	1.551	)	
(	13	=	2.3	)	
(	14	=	3.154	)	
(	15	=	4.524	)	.
END IF .
EXECUTE .




COUNT
  SCHmiss = KY27SCH1 KY27SCH2 KY27SCH3 KY27SCH4 (MISSING)  .
EXECUTE .
RECODE
  SCHmiss (0=0)  (1=1)  (2 thru Highest=SYSMIS)  .
EXECUTE .

IF (SCHmiss=1) KC27sc_T  = (((KC27sc_R  - 1.2774)  / 1.60553) * 10 + 50) .
EXECUTE .

SORT CASES BY SCHmiss.
SPLIT FILE
  LAYERED BY SCHmiss.
FREQUENCIES
  VARIABLES=KC27sc_R KC27sc_T
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN MEDIAN MODE SKEWNESS SESKEW KURTOSIS SEKURT
  /BARCHART  FREQ
  /ORDER=  ANALYSIS .











