******************************************************************************************************************************
******************************************************************************************************************************
* 	scoring algorithm for the KIDSCREEN-27 proxy version						*
******************************************************************************************************************************
******************************************************************************************************************************

*	copyright and intelectual property: The European KIDSCREEN group				*

******************************************************************************************************************************
* 	1) uses transformed KIDSCREEN item-scores (transformed e.g. by a priori application of the 	*
* 	syntax "transform_KIDSCREEN-27_rawdata.SPS")						*
* 	2) based on the RASCH-Person-Parameter Estimates 						*
* 	3) T-values were computed wich refer to the entire KIDSCREEN survey (excluded were 		*
* 	cases older than 18, younger than 8, > 25% missings in KIDSCREEN items, with any 		*
* 	missing in the particular scale)									*
* 	4) for the entire European sample the mean of the T-values is 50, the standard deviation is 10	*
******************************************************************************************************************************




RECODE
  KP27PHY1
  (5=3)  (1 thru 2=1)  (3 thru 4=2)  (ELSE=Copy)  INTO  KP27PHYc .
VARIABLE LABELS KP27PHYc 'gh_y01 coll 1 + 2 & 3 + 4 & 5'.
EXECUTE .
MISSING VALUES KP27PHYc (0 +  6 thru 99999) .
EXECUTE .




COMPUTE KP27ph_R  = (KP27PHYc + KP27PHY2 + KP27PHY3 + KP27PHY4 + KP27PHY5 ) .
EXECUTE .

COMPUTE KP27pw_R  = (KP27PWB1 + KP27PWB2 + KP27PWB3 + KP27PWB4 + KP27PWB5 + KP27PWB6 + KP27PWB7 ) .
EXECUTE .

COMPUTE KP27pa_R  = (KP27PAR1 + KP27PAR2 + KP27PAR3 + KP27PAR4 + KP27PAR5 + KP27PAR6 + KP27PAR7 ) .
EXECUTE .

COMPUTE KP27pe_R  = (KP27SOC1 + KP27SOC2 + KP27SOC3 + KP27SOC4 ) .
EXECUTE .

COMPUTE KP27sc_R  = (KP27SCH1 + KP27SCH2 + KP27SCH3 + KP27SCH4 ) .
EXECUTE .



RECODE KP27ph_R  
(	5	=	-5.365	)	
(	6	=	-3.806	)	
(	7	=	-2.984	)	
(	8	=	-2.439	)	
(	9	=	-2.01	)	
(	10	=	-1.641	)	
(	11	=	-1.302	)	
(	12	=	-0.976	)	
(	13	=	-0.642	)	
(	14	=	-0.283	)	
(	15	=	0.114	)	
(	16	=	0.559	)	
(	17	=	1.049	)	
(	18	=	1.574	)	
(	19	=	2.116	)	
(	20	=	2.671	)	
(	21	=	3.273	)	
(	22	=	4.015	)	
(	23	=	5.318	).
EXECUTE .

RECODE KP27pw_R  
(	7	=	-5.861	)	
(	8	=	-4.59	)	
(	9	=	-3.903	)	
(	10	=	-3.388	)	
(	11	=	-2.962	)	
(	12	=	-2.594	)	
(	13	=	-2.267	)	
(	14	=	-1.971	)	
(	15	=	-1.697	)	
(	16	=	-1.44	)	
(	17	=	-1.192	)	
(	18	=	-0.949	)	
(	19	=	-0.707	)	
(	20	=	-0.463	)	
(	21	=	-0.214	)	
(	22	=	0.041	)	
(	23	=	0.305	)	
(	24	=	0.581	)	
(	25	=	0.871	)	
(	26	=	1.18	)	
(	27	=	1.515	)	
(	28	=	1.884	)	
(	29	=	2.298	)	
(	30	=	2.759	)	
(	31	=	3.263	)	
(	32	=	3.803	)	
(	33	=	4.399	)	
(	34	=	5.139	)	
(	35	=	6.44	).
EXECUTE .

RECODE KP27pa_R   
(	7	=	-4.89	)	
(	8	=	-3.671	)	
(	9	=	-3.037	)	
(	10	=	-2.574	)	
(	11	=	-2.197	)	
(	12	=	-1.872	)	
(	13	=	-1.586	)	
(	14	=	-1.328	)	
(	15	=	-1.093	)	
(	16	=	-0.877	)	
(	17	=	-0.674	)	
(	18	=	-0.481	)	
(	19	=	-0.297	)	
(	20	=	-0.118	)	
(	21	=	0.057	)	
(	22	=	0.231	)	
(	23	=	0.405	)	
(	24	=	0.581	)	
(	25	=	0.761	)	
(	26	=	0.948	)	
(	27	=	1.144	)	
(	28	=	1.354	)	
(	29	=	1.582	)	
(	30	=	1.835	)	
(	31	=	2.125	)	
(	32	=	2.468	)	
(	33	=	2.9	)	
(	34	=	3.51	)	
(	35	=	4.708	).
EXECUTE .

RECODE KP27pe_R   
(	4	=	-6.203	)	
(	5	=	-4.846	)	
(	6	=	-4.017	)	
(	7	=	-3.278	)	
(	8	=	-2.529	)	
(	9	=	-1.813	)	
(	10	=	-1.177	)	
(	11	=	-0.585	)	
(	12	=	0.002	)	
(	13	=	0.597	)	
(	14	=	1.21	)	
(	15	=	1.857	)	
(	16	=	2.555	)	
(	17	=	3.27	)	
(	18	=	3.986	)	
(	19	=	4.799	)	
(	20	=	6.145	) .
EXECUTE .

RECODE KP27sc_R   
(	4	=	-5.843	)	
(	5	=	-4.284	)	
(	6	=	-3.362	)	
(	7	=	-2.73	)	
(	8	=	-2.24	)	
(	9	=	-1.803	)	
(	10	=	-1.367	)	
(	11	=	-0.888	)	
(	12	=	-0.331	)	
(	13	=	0.287	)	
(	14	=	0.914	)	
(	15	=	1.574	)	
(	16	=	2.318	)	
(	17	=	3.112	)	
(	18	=	3.896	)	
(	19	=	4.763	)	
(	20	=	6.157	).
EXECUTE .



Compute KP27ph_T = (((KP27ph_R - 1.6534)  / 1.72649) * 10 + 50) .
EXECUTE .
Compute KP27pw_T = (((KP27pw_R - 2.3939)  / 1.53339) * 10 + 50) .
EXECUTE .
Compute KP27pa_T  = (((KP27pa_R  - 1.4540)  / 1.11661) * 10 + 50) .
EXECUTE .
Compute KP27pe_T  = (((KP27pe_R  - 2.0309)  / 2.02229) * 10 + 50) .
EXECUTE .
Compute KP27sc_T  = (((KP27sc_R  - 2.0341)  / 1.99441) * 10 + 50) .
EXECUTE .


VAR LAB KP27ph_R 'proxy 27item Physical RASCH PP'.
EXECUTE .
VAR LAB KP27pw_R 'proxy 27item Psychological Wellbeing RASCH PP'.
EXECUTE .
VAR LAB KP27pa_R 'proxy 27item Parents RASCH PP'.
EXECUTE .
VAR LAB KP27pe_R 'proxy 27item Peers RASCH PP'.
EXECUTE .
VAR LAB KP27sc_R 'proxy 27item School RASCH PP'.
EXECUTE .


VAR LAB KP27ph_T 'proxy 27item Physical international T-values based on RASCH PP'.
EXECUTE .
VAR LAB KP27pw_T 'proxy 27item Psychological Wellbeing international T-values based on RASCH PP'.
EXECUTE .
VAR LAB KP27pa_T 'proxy 27item Parents international T-values based on RASCH PP'.
EXECUTE .
VAR LAB KP27pe_T 'proxy 27item Peers international T-values based on RASCH PP'.
EXECUTE .
VAR LAB KP27sc_T 'proxy 27item School international T-values based on RASCH PP'.
EXECUTE .

